# humanable_build_number plugin

[![fastlane Plugin Badge](https://rawcdn.githack.com/fastlane/fastlane/master/fastlane/assets/plugin-badge.svg)](https://rubygems.org/gems/fastlane-plugin-humanable_build_number)

## Getting Started

This project is a [fastlane](https://github.com/fastlane/fastlane) plugin. To get started with `fastlane-plugin-humanable_build_number`, add it to your project by running:

```bash
fastlane add_plugin humanable_build_number
```

## About humanable_build_number

Automatic generate app build number unque and human readable friendly, like `mmddHHMM`. both support iOS and Android (The greatest value Google Play allows for versionCode is [2100000000](https://developer.android.com/studio/publish/versioning)).

### Automatic get and set build number

```ruby
humanable_build_number(update: true)
```

> IT CAN NOT set build number for android project (so sad), but here is a example to follow to set build number with gradle:

```ruby
gradle(
  task: "assemble",
  build_type: "debug",
  properties: {
    "versionCode" => humanable_build_number
  }
)
```

## Example

Check out the [example `Fastfile`](fastlane/Fastfile) to see how to use this plugin. Try it by cloning the repo, running `fastlane install_plugins` and `bundle exec fastlane test`.

## Run tests for this plugin

To run both the tests, and code style validation, run

```
rake
```

To automatically fix many of the styling issues, use
```
rubocop -a
```

## Issues and Feedback

For any other issues and feedback about this plugin, please submit it to this repository.

## Troubleshooting

If you have trouble using plugins, check out the [Plugins Troubleshooting](https://github.com/fastlane/fastlane/blob/master/fastlane/docs/PluginsTroubleshooting.md) doc in the main `fastlane` repo.

## Using `fastlane` Plugins

For more information about how the `fastlane` plugin system works, check out the [Plugins documentation](https://github.com/fastlane/fastlane/blob/master/fastlane/docs/Plugins.md).

## About `fastlane`

`fastlane` is the easiest way to automate beta deployments and releases for your iOS and Android apps. To learn more, check out [fastlane.tools](https://fastlane.tools).
